local E, L, V, P, G, _ = unpack(ElvUI); --Import: Engine, Locales, PrivateDB, ProfileDB, GlobalDB
local CA = E:NewModule('ChannelAlerts', 'AceEvent-3.0')

-- Default Options
P['CA'] = {
	['guild'] = 'None',
	['officer'] = 'None',
	['channel1'] = 'None',
	['channel2'] = 'None',
	['channel3'] = 'None',
	['channel4'] = 'None',
	['channel5'] = 'None',
	['channel6'] = 'None',
	['channel7'] = 'None',
	['channel8'] = 'None',
	['channel9'] = 'None',
	['channel10'] = 'None',
	
	['throttle'] = {
		['guild'] = 5,
		['officer'] = 5,
		['channels'] = 5,
	}
}

--Information popups
E.PopupDialogs['CBPO'] = {
	text = L['PLUGIN_INFO'],
	button1 = OKAY,
	hasEditBox = true,
	editBoxWidth = 350,
	timeout = 0,
	whileDead = true,
	preferredIndex = 3,
	hideOnEscape = true,
	exclusive = true,
	OnShow = function(self)
		self.editBox:SetText("http://www.tukui.org/addons/index.php?act=view&id=62")
		self.editBox:HighlightText()
	end,
	EditBoxOnEnterPressed = function(self) self:GetParent():Hide() end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide() end,
}

E.PopupDialogs['CBS'] = {
	text = L['PLUGIN_INFO'],
	button1 = OKAY,
	hasEditBox = true,
	editBoxWidth = 350,
	timeout = 0,
	whileDead = true,
	preferredIndex = 3,
	hideOnEscape = true,
	exclusive = true,
	OnShow = function(self)
		self.editBox:SetText("http://www.tukui.org/addons/index.php?act=view&id=36")
		self.editBox:HighlightText()
	end,
	EditBoxOnEnterPressed = function(self) self:GetParent():Hide() end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide() end,
}

E.PopupDialogs['CA'] = {
	text = L['PLUGIN_INFO'],
	button1 = OKAY,
	hasEditBox = true,
	editBoxWidth = 350,
	timeout = 0,
	whileDead = true,
	preferredIndex = 3,
	hideOnEscape = true,
	exclusive = true,
	OnShow = function(self)
		self.editBox:SetText("http://www.tukui.org/addons/index.php?act=view&id=85")
		self.editBox:HighlightText()
	end,
	EditBoxOnEnterPressed = function(self) self:GetParent():Hide() end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide() end,
}

E.PopupDialogs['EAB'] = {
	text = L['PLUGIN_INFO'],
	button1 = OKAY,
	hasEditBox = true,
	editBoxWidth = 350,
	timeout = 0,
	whileDead = true,
	preferredIndex = 3,
	hideOnEscape = true,
	exclusive = true,
	OnShow = function(self)
		self.editBox:SetText("http://www.tukui.org/addons/index.php?act=view&id=65")
		self.editBox:HighlightText()
	end,
	EditBoxOnEnterPressed = function(self) self:GetParent():Hide() end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide() end,
}

E.PopupDialogs['VAT'] = {
	text = L['PLUGIN_INFO'],
	button1 = OKAY,
	hasEditBox = true,
	editBoxWidth = 350,
	timeout = 0,
	whileDead = true,
	preferredIndex = 3,
	hideOnEscape = true,
	exclusive = true,
	OnShow = function(self)
		self.editBox:SetText("http://www.tukui.org/addons/index.php?act=view&id=91")
		self.editBox:HighlightText()
	end,
	EditBoxOnEnterPressed = function(self) self:GetParent():Hide() end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide() end,
}

function CA:InsertOptions()
	--Plugin 'GroupHeader' with information about me and all my plugins
	if not E.Options.args.blazeplugins then
		E.Options.args.blazeplugins = {
			order = -2,
			type = 'group',
			name = 'Plugins (by Blazeflack)',
			args = {},
		}
		E.Options.args.blazeplugins.args.aboutHeader = {
			order = 1,
			type = 'header',
			name = L['About Blazeflack'],
		}
		E.Options.args.blazeplugins.args.aboutBody = {
			order = 2,
			type = 'description',
			fontSize = 'medium',
			name = L['BLAZE_DESC'],
		}
		E.Options.args.blazeplugins.args.pluginsHeader = {
			order = 3,
			type = 'header',
			name = L['List of Plugins for ElvUI made by Blazeflack'],
		}
		E.Options.args.blazeplugins.args.aboutCBPO = {
			order = 4,
			type = 'group',
			name = 'ElvUI_CastBarPowerOverlay',
			guiInline = true,
			args = {
				info = {
					order = 1,
					type = 'description',
					name = L['CBPO_DESC'],
				},
				url = {
					order = 2,
					type = 'execute',
					name = L['Click Me'],
					func = function() E:StaticPopup_Show('CBPO', 'ElvUI_CastBarPowerOverlay') end,
				},
			},
		}
		E.Options.args.blazeplugins.args.aboutCBS = {
			order = 5,
			type = 'group',
			name = 'ElvUI_CastBarSnap',
			guiInline = true,
			args = {
				info = {
					order = 1,
					type = 'description',
					name = L['CBS_DESC'],
				},
				url = {
					order = 2,
					type = 'execute',
					name = L['Click Me'],
					func = function() E:StaticPopup_Show('CBS', 'ElvUI_CastBarSnap') end,
				},
			},
		}
		E.Options.args.blazeplugins.args.aboutCA = {
			order = 6,
			type = 'group',
			name = 'ElvUI_ChannelAlerts',
			guiInline = true,
			args = {
				info = {
					order = 1,
					type = 'description',
					name = L['CA_DESC'],
				},
				url = {
					order = 2,
					type = 'execute',
					name = L['Click Me'],
					func = function() E:StaticPopup_Show('CA', 'ElvUI_ChannelAlerts') end,
				},
			},
		}
		E.Options.args.blazeplugins.args.aboutEAB = {
			order = 7,
			type = 'group',
			name = 'ElvUI_ExtraActionBars',
			guiInline = true,
			args = {
				info = {
					order = 1,
					type = 'description',
					name = L['EAB_DESC'],
				},
				url = {
					order = 2,
					type = 'execute',
					name = L['Click Me'],
					func = function() E:StaticPopup_Show('EAB', 'ElvUI_ExtraActionBars') end,
				},
			},
		}
		E.Options.args.blazeplugins.args.aboutVAT = {
			order = 8,
			type = 'group',
			name = 'ElvUI_VisualAuraTimers',
			guiInline = true,
			args = {
				info = {
					order = 1,
					type = 'description',
					name = L['VAT_DESC'],
				},
				url = {
					order = 2,
					type = 'execute',
					name = L['Click Me'],
					func = function() E:StaticPopup_Show('VAT', 'ElvUI_VisualAuraTimers') end,
				},
			},
		}
	end
--
--	Insertion of ElvUI_ChannelAlerts options starts here
--
	E.Options.args.blazeplugins.args.CA = {
		order = 30,
		type = 'group',
		name = 'ChannelAlerts',
		args = {
			updateChannels = {
				order = 1,
				type = 'execute',
				name = L['Update Channels'],
				desc = L['If you have recently joined or left a channel you can press this button to update the Channel Alerts box'],
				func = function() CA:UpdateChannelsConfig() end,
			},
			spacer = {
				order = 2,
				type = 'description',
				name = '',
			},
			alerts = {
				order = 3,
				type = 'group',
				name = L['Channel Alerts'],
				guiInline = true,
				args = {
					guild = {
						order = 1,
						type = 'select',
						dialogControl = 'LSM30_Sound',
						name = CHAT_MSG_GUILD..L[' Alert'],
						desc = L['Set to "None" to disable alerts for this channel'],
						values = AceGUIWidgetLSMlists.sound,
						get = function(info) return E.db.CA.guild end,
						set = function(info, value) E.db.CA.guild = value; end,
					},
					officer = {
						order = 2,
						type = 'select',
						dialogControl = 'LSM30_Sound',
						name = CHAT_MSG_OFFICER..L[' Alert'],
						desc = L['Set to "None" to disable alerts for this channel'],
						values = AceGUIWidgetLSMlists.sound,
						get = function(info) return E.db.CA.officer end,
						set = function(info, value) E.db.CA.officer = value; end,
					},
				},
			},
			throttle = {
				order = 4,
				type = 'group',
				name = L['Sound Throttle'],
				get = function(info) return E.db.CA.throttle[ info[#info] ] end,
				set = function(info, value) E.db.CA.throttle[ info[#info] ] = value; end,
				guiInline = true,
				args = {
					guild = {
						order = 1,
						type = 'range',
						name = L['Guild Alert Throttle'],
						desc = L['Amount of time in seconds between each alert'],
						min = 1, max = 30, step = 1,
					},
					officer = {
						order = 2,
						type = 'range',
						name = L['Officer Alert Throttle'],
						desc = L['Amount of time in seconds between each alert'],
						min = 1, max = 30, step = 1,
					},
					channels = {
						order = 3,
						type = 'range',
						name = L['Channel Alert Throttle'],
						desc = L['Amount of time in seconds between each alert'],
						min = 1, max = 30, step = 1,
					},
				},
			},
		},
	}
	
	local group = E.Options.args.blazeplugins.args.CA.args.alerts.args
	for i = 1, 10 do
		local channelName = CA.Channels[i]
		local hide = false
		if not channelName then hide = true end
		group['channel'..i] = {
			order = i + 2,
			type = 'select',
			dialogControl = 'LSM30_Sound',
			name = (not hide and channelName..L[' Alert']) or '',
			desc = L['Set to "None" to disable alerts for this channel'],
			values = AceGUIWidgetLSMlists.sound,
			hidden = hide,
			get = function(info) return E.db.CA['channel'..i] end,
			set = function(info, value) E.db.CA['channel'..i] = value; end,
		}
	end
end

E:RegisterModule(CA:GetName())