-- English localization for enUS and enGB.
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "enUS", true, true);
if not L then return end

--ElvUI_ChannelAlerts locales
L[' Alert'] = true
L['Amount of time in seconds between each alert'] = true
L['Channel Alert Throttle'] = true
L['Channel Alerts'] = true
L['Guild Alert Throttle'] = true
L['If you have recently joined or left a channel you can press this button to update the Channel Alerts box'] = true
L['Officer Alert Throttle'] = true
L['Set to "None" to disable alerts for this channel'] = true
L['Sound Throttle'] = true
L['Update Channels'] = true

--Plugin GroupHeader locales
L['About Blazeflack'] = true
L['Click Me'] = true
L['List of Plugins for ElvUI made by Blazeflack'] = true
L['PLUGIN_INFO'] = 'Please visit the url below for information about %s'
L['BLAZE_DESC'] = [=[Blazeflack is a moderator at http://tukui.org.
He plays a human shadow priest named 'Blazii' on EU-Darksorrow.
When he is not busy wiping on raid bosses he is most likely either reading forums or optimizing a new alt.]=]

L['CBPO_DESC'] = [=[Allows you to overlay the castbar on the power frame.
Width and height is set automatically so it always matches the dimensions of the power frame.
In recent versions, options to hide or offset castbar text were added as well.

For more information please click the button below]=]

L['CBS_DESC'] = [=[Allows you to 'snap' the player castbar to any of the 5 ElvUI actionbars.
The player castbar gets positioned above the chosen actionbar and will automatically match the width of the bar.
There is an offset option, which allows you to move the castbar up or down.

For more information please click the button below]=]

L['CA_DESC'] = [=[Allows you to play a sound when someone posts a message in guild chat, officer chat or either of the 10 numbered channels.

For more information please click the button below]=]

L['EAB_DESC'] = [=[Adds 5 extra actionbars to ElvUI.

For more information please click the button below]=]

L['VAT_DESC'] = [=[Replaces timers on buffs and debuffs near the minimap with statusbars.
Allows you to choose whether you want it enabled for Buffs, Debuffs and Temporary Enchants individually.
You can set a threshold for when you want the timer to revert back to numbers.

For more information please click the button below]=]

--We don't need the rest if we're on enUS or enGB locale, so stop here.
if GetLocale() == "enUS" then return end

--German Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "deDE")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Spanish (Spain) Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "esES")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Spanish (Mexico) Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "esMX")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--French Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "frFR")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Italian Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "itIT")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Korean Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "koKR")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Portuguese Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "ptBR")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Russian Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "ruRU")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Chinese (China, simplified) Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "zhCN")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end

--Chinese (Taiwan, traditional) Localizations
local L = LibStub("AceLocale-3.0"):NewLocale("ElvUI", "zhTW")
if L then
	--Add translations here, eg.
	-- L[' Alert'] = ' Alert',
end